# $Revision: 1.18 $, $Date: 2010/07/09 10:09:42 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Interface to several low-level networking routines
Summary(pl.UTF-8):	Interfejs do niektórych niskopoziomowych funkcji sieciowych
Name:		libdnet
Version:	1.11
Release:	5
License:	BSD
Group:		Libraries
Source0:	http://dl.sourceforge.net/libdnet/%{name}-%{version}.tar.gz
# Source0-md5:	04c394ed8e1e7fc455456e79e908916d
Patch0:		%{name}-python.patch
URL:		http://libdnet.sourceforge.net/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	python-Pyrex
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdnet provides a simplified, portable interface to several low-level
networking routines, including:
* network address manipulation
* kernel arp cache and route table lookup and manipulation
* network firewalling (IP filter, ipfw, ipchains, pf, ...)
* network interface lookup and manipulation
* raw IP packet and Ethernet frame transmission

%description -l pl.UTF-8
libdnet zapewnia uproszczony, przenośny interfejs do niektórych
niskopoziomowych funkcji sieciowych, włączając w to:
* manipulację adresami sieciowymi
* przeglądanie i modyfikację pamięci podręcznej ARP oraz tablic routingu
* firewalling (IP filter, ipfw, ipchains, pf, ...)
* wysyłanie ,,surowych'' pakietów IP i ramek Ethernetowych

%package devel
Summary:	Header files for libdnet
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libdnet
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libdnet.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libdnet.

%package static
Summary:	libdnet static library
Summary(pl.UTF-8):	Statyczna biblioteka libdnet
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libdnet static library.

%description static -l pl.UTF-8
Statyczna biblioteka libdnet.

%package progs
Summary:	Sample applications to use with libdnet
Summary(pl.UTF-8):	Przykładowe aplikacje do wykorzystania libdnet
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description progs
Sample applications to use with libdnet.

%description progs -l pl.UTF-8
Przykładowe aplikacje do wykorzystania libdnet.

%package -n python-libdnet
Summary:	libdnet Python module
Summary(pl.UTF-8):	Moduł libdnet dla Pythona
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-libdnet
libdnet Python module.

%description -n python-libdnet -l pl.UTF-8
Moduł libdnet dla Pythona.

%prep
%setup -q
%patch0 -p1

# invalid lvalues, force regeneration from .pyx
rm python/dnet.c

%build
%{__libtoolize}
%{__aclocal} -I config
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-python \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE README THANKS TODO
%attr(755,root,root) %{_libdir}/libdnet.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdnet.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dnet-config
%attr(755,root,root) %{_libdir}/libdnet.so
%{_libdir}/libdnet.la
%{_includedir}/dnet
%{_includedir}/dnet.h
%{_mandir}/man3/dnet.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdnet.a
%endif

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/dnet
%{_mandir}/man8/dnet.8*

%files -n python-libdnet
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/dnet.so
%{py_sitedir}/dnet-*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdnet.spec,v $
Revision 1.18  2010/07/09 10:09:42  arekm
- release 5

Revision 1.17  2010/07/09 10:09:24  arekm
- release 4

Revision 1.16  2008/11/02 00:05:49  arekm
- release 3

Revision 1.15  2008/10/19 10:02:30  arekm
- release 2

Revision 1.14  2008/03/21 18:57:26  qboosh
- removed outdated ac,am patches
- added python patch, rebuild dnet.c using new Pyrex to fix build with recent gcc
- general cleanup, more docs, release 1

Revision 1.13  2007-03-15 09:57:20  qboosh
- python deps, unified caps

Revision 1.12  2007/03/09 15:13:44  heretyk
- up to 1.11
- build python module

Revision 1.11  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.9  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.8  2005/06/15 18:03:01  witekfl
- added bcond_without static_libs

Revision 1.7  2004/06/05 22:20:02  qboosh
- updated to 1.8, updated am patch, added ac patch, removed obsolete lt patch

Revision 1.6  2003/08/28 08:20:32  ankry
- cosmetics

Revision 1.5  2003/08/18 08:08:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.4  2003/05/28 12:59:27  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:49:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/04/02 16:31:48  qboosh
- fixed Source0 URL, BR: ac,am,lt

Revision 1.1  2003/04/01 14:07:37  zagrodzki
- initial release
